Skip to main content
GET
Retrieve all operators for a given AVS address

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

AVS service manager contract address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"

Query Parameters

searchMode
enum<string>
default:contains

Search mode

Available options:
contains,
startsWith
Example:

"contains"

searchByText
string

Case-insensitive search query

Example:

"eigen"

withTvl
enum<string>
default:false

Toggle whether the route should calculate the TVL from shares

Available options:
true,
false
Example:

"false"

sortOperatorsByTvl
enum<string>

Sort Operators of a given AVS in asc or desc order of TVL (only valid for individual AVS queries)

Available options:
asc,
desc
Example:

"desc"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The operators record found for the AVS.

data
object[]
required
meta
object
required